I just released version 1.3 of the ‘Gallery Shortcode Style to Head‘ plugin for WordPress.

Version 1.3 re-syncs with the gallery code in WordPress 2.9 and adds support for certain WordPress 2.9 gallery features, like the ‘include’ and ‘exclude’ attributes. If you are already using the plugin, you will be prompted to upgrade within about 24 hours.

The patch I had submitted (a long, long time ago now) to WordPress is floating out there in the ether un-used, which is disappointing. I’m going to work on getting a new and improved version of the plugin put together and then submit another patch using that code, hopefully with more success!

WordPress shouldn’t produce invalid XHTML! You shouldn’t need a plugin to fix this!